package cn.ibizlab.core.data.lite;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class LiteStorage {
    private static LiteModelFeignClient service;

    public static void setLiteModelService(LiteModelFeignClient service)
    {
        if(LiteStorage.service==null)
            LiteStorage.service=service;
    }

    public static LiteModelFeignClient getLiteModelService()
    {
        return service;
    }


    @Autowired
    private LiteModelFeignClient client;

    @PostConstruct
    public void init(){
        LiteStorage.setLiteModelService(client);
    }
}
